require "sketchup.rb"
require "extensions.rb"

module SkModelBox
  PluginName = 'sk_model_box'
  PluginChineseName = '八宝模型库'
  Version = '2.2.2'.freeze

  Object.send(:remove_const, 'RGLoader') if Object.const_defined?('RGLoader')

  load_path = File.join(File.dirname(__FILE__), "#{PluginName}/load.rb")
  extension = SketchupExtension.new(PluginChineseName, load_path)
  extension.version = Version
  extension.creator = '八宝工作室'
  Sketchup.register_extension(extension, true)
end
